GNU bug report logs - #27170
26.0.50; Suggestion: Optionally send package build output to log file not *Messages*

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: nljlistbox2@HIDDEN (N. Jackson); dated Wed, 31 May 2017 16:52:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 27170 <at> debbugs.gnu.org:


Received: (at 27170) by debbugs.gnu.org; 22 Aug 2020 11:29:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 22 07:29:27 2020
Received: from localhost ([127.0.0.1]:48994 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k9RiB-0002aq-Hj
	for submit <at> debbugs.gnu.org; Sat, 22 Aug 2020 07:29:27 -0400
Received: from mail-yb1-f173.google.com ([209.85.219.173]:46232)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1k9Ri8-0002aE-EQ
 for 27170 <at> debbugs.gnu.org; Sat, 22 Aug 2020 07:29:25 -0400
Received: by mail-yb1-f173.google.com with SMTP id x10so2457388ybj.13
 for <27170 <at> debbugs.gnu.org>; Sat, 22 Aug 2020 04:29:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:in-reply-to:references:mime-version:date:message-id:subject:to
 :cc; bh=j2ukWuSlhXYRHtTUGo29/RqAbho5nWCCIj8q29qVGsc=;
 b=ieV+EbLk8M2kAYejgwr7As1YtSZv/1NjhJFMy9zeTEUgqrX4VRaBRAn04RcXEq7a29
 HmUF4nHEr2ljcuqm6F5lIJ90Wuw+23yfCo5EJkepHoHSSmkl2tQOD1OzYI7kciKL3kcj
 Ggima+pqIp86TL/0QwPqonP07W45App1FggigZCTEBWhm93XEvIBD6XZHFZKhv7Iuqal
 8T6XqSTJRSJoK89fZHJhNGN5wEtrbtl6+/nYxt9ed61DPnBwcEekSd6OV+Tp8sC4CJjv
 lJzfK+mKm1FkLaBUWIcwO8yKS4GeT9xUdgzDFlr3/DGfGKaoC3AMPIFDHsdA2IclOBFn
 +Dsw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=j2ukWuSlhXYRHtTUGo29/RqAbho5nWCCIj8q29qVGsc=;
 b=YcAzeDK5SzW1BGxz6uUhPiW2ptQfa0ZYsaUVgb6zqMG6sYcmFmkjc88wWkZubn8nSf
 l3/Gq/iW6B5VtlcY/wVrv4nVXbeRj9HqcgptF6kpUUqkiU8j6NFdBb1iH5fd7iQ5lfht
 t991pvBFKm+R1C1x8VQ7wToUj+bgp5RBJ3qgnxdpLfPc0ZCh4lmc1dHTAgbH63MAckQN
 Q3634PQw6Gf4xOsyBkArWleSdzUy8mTEm6nj9rkHQ5XPJX8LU4k5DrcsO6Sqt3hDMu4L
 pUtKOTbQ0dZrAWA6qf1fitDrZNKxLwkJKVHIN0bt8RwNlVYA+NHOUV9+TaymSnFM7BVi
 Z7Lw==
X-Gm-Message-State: AOAM532kdDnfnFGcpFvZHaUl61qeJWbnlKqoWREk8qsLc3bgvlwp7knG
 lcR0u3f7eXw9aFkhtVIE5YWpGAZAB/9xa3tCs3s=
X-Google-Smtp-Source: ABdhPJxPGlkM8fC+6e7d0tx6pEDd8Hf+DocxDoFtdYuuNlvBjY5+swxvw7LYYEbGaYLpKfa/nP8E7OYEGz15Kv1bfJ8=
X-Received: by 2002:a25:9843:: with SMTP id k3mr9445358ybo.466.1598095758853; 
 Sat, 22 Aug 2020 04:29:18 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Sat, 22 Aug 2020 07:29:18 -0400
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <87r1s08dcf.fsf@HIDDEN>
References: <87fuflm0ky.fsf@HIDDEN> <87k0xtqozx.fsf@HIDDEN>
 <CADwFkmn6kdorEQe05-+z2N5tz6_ZuC4=yN+ckEtpJ7j6M-3TGA@HIDDEN>
 <87r1s08dcf.fsf@HIDDEN>
MIME-Version: 1.0
Date: Sat, 22 Aug 2020 07:29:18 -0400
Message-ID: <CADwFkmkEaB+KEYOyF1-ZdOpUh_u05JMN=jsetxx+CJUg3c+cgQ@HIDDEN>
Subject: Re: bug#27170: 26.0.50; Suggestion: Optionally send package build
 output to log file not *Messages*
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 27170
Cc: "N. Jackson" <nljlistbox2@HIDDEN>, 27170 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Sure, writing the output to a file would be fine, but I don't think
> Emacs needs a logging framework for that.  If we can redirect messages
> to a buffer, then package.el can do whatever it wants with the messages,
> including writing them to a file if so desired.

Agreed.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27170; Package emacs. Full text available.

Message received at 27170 <at> debbugs.gnu.org:


Received: (at 27170) by debbugs.gnu.org; 22 Aug 2020 03:51:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 21 23:51:49 2020
Received: from localhost ([127.0.0.1]:48604 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k9KZI-00082G-Vh
	for submit <at> debbugs.gnu.org; Fri, 21 Aug 2020 23:51:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39690)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1k9KZH-000823-Ci
 for 27170 <at> debbugs.gnu.org; Fri, 21 Aug 2020 23:51:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59619)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rms@HIDDEN>)
 id 1k9KZC-000519-2z; Fri, 21 Aug 2020 23:51:42 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1k9KZB-0002aB-96; Fri, 21 Aug 2020 23:51:41 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87r1s08dcf.fsf@HIDDEN> (message from Lars Ingebrigtsen on Fri, 
 21 Aug 2020 13:09:36 +0200)
Subject: Re: bug#27170: 26.0.50;
 Suggestion: Optionally send package build output to log file not
 *Messages*
References: <87fuflm0ky.fsf@HIDDEN> <87k0xtqozx.fsf@HIDDEN>
 <CADwFkmn6kdorEQe05-+z2N5tz6_ZuC4=yN+ckEtpJ7j6M-3TGA@HIDDEN>
 <87r1s08dcf.fsf@HIDDEN>
Message-Id: <E1k9KZB-0002aB-96@HIDDEN>
Date: Fri, 21 Aug 2020 23:51:41 -0400
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 27170
Cc: nljlistbox2@HIDDEN, 27170 <at> debbugs.gnu.org, stefankangas@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > Sure, writing the output to a file would be fine, but I don't think
  > Emacs needs a logging framework for that.  If we can redirect messages
  > to a buffer, then package.el can do whatever it wants with the messages,
  > including writing them to a file if so desired.

I agree.  Let's not make this more complex than the minimum.

-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27170; Package emacs. Full text available.

Message received at 27170 <at> debbugs.gnu.org:


Received: (at 27170) by debbugs.gnu.org; 21 Aug 2020 11:09:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 21 07:09:47 2020
Received: from localhost ([127.0.0.1]:45112 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k94vb-0000Qu-8Q
	for submit <at> debbugs.gnu.org; Fri, 21 Aug 2020 07:09:47 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41092)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k94vZ-0000Qh-Rl
 for 27170 <at> debbugs.gnu.org; Fri, 21 Aug 2020 07:09:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=GxomWTTzV5j/RNzc/s5A2lzFI9DwGvhmKVGoaISG9Rg=; b=I+PpLK+aavJxDWdJSuxhwZKVCt
 hkZiP5eInYrM577ka5eb0ZejfvwCBRGjnKx+4/S90gJ0zLD+dioeZnkTJohm6suC+JsUxZsAN2kx6
 fiqOnUqB4HtbWxOWzr21n4MfhaTujPDWYzTsmsAVxLNcGb5U8MVIM2RPnzfjjBUEDTeg=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k94vR-0002lr-K2; Fri, 21 Aug 2020 13:09:40 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Stefan Kangas <stefankangas@HIDDEN>
Subject: Re: bug#27170: 26.0.50; Suggestion: Optionally send package build
 output to log file not *Messages*
References: <87fuflm0ky.fsf@HIDDEN> <87k0xtqozx.fsf@HIDDEN>
 <CADwFkmn6kdorEQe05-+z2N5tz6_ZuC4=yN+ckEtpJ7j6M-3TGA@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEXt49Tws6X3YVj/
 //9yIEcRAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+QIFQsDKup1aqwAAAE+SURBVCjPnZLBasMwDIbl
 4oyuJwfiwnJfoX0KBZoedlIgDltOOaxj61P0tHM7KPQBktL6KScrTe6bwcaf/UeRfhngn0M5hyOU
 AHbYR+GS7pCMCx8GvVU4qFhU0qBSDlWv46OIHKwFWGy7tzKT73kuSOWIPbjXxpKABjh/lDNCwzAF
 db7oTUkBnlaT5khZQiF26o+HE1otMPcXrBC14dyh8C1xObpoGTJXkFkbVV0lgSXE68RubgIpzHUS
 vfQww0eyLh0gYkfuMMl5T6sAOT4TF2h3AeJrhcEsH0KbbWbYFPoJPzWzIkalslzA3nSo2DShOLPc
 BtgLLHwnVh7CWnifcdYghnwLTHt/a3+zCJ9KTIx3vj65dwkJD/bLseNGYIKJrfbNvZEEkcu7sXOR
 q9uh2ayox3ZbqWEYzv3l2fwCz29Ia1iemN0AAAAldEVYdGRhdGU6Y3JlYXRlADIwMjAtMDgtMjFU
 MTE6MDM6NDErMDA6MDD2+vyfAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIwLTA4LTIxVDExOjAzOjQx
 KzAwOjAwh6dEIwAAAABJRU5ErkJggg==
X-Now-Playing: Renaldo and the Loaf's _Songs for Swinging Larvae & Songs
 from the Surgery_: "A Sob Story"
Date: Fri, 21 Aug 2020 13:09:36 +0200
In-Reply-To: <CADwFkmn6kdorEQe05-+z2N5tz6_ZuC4=yN+ckEtpJ7j6M-3TGA@HIDDEN>
 (Stefan Kangas's message of "Thu, 20 Aug 2020 10:38:49 -0700")
Message-ID: <87r1s08dcf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Kangas <stefankangas@HIDDEN> writes: > But why not
 support a log file? I'm thinking it could occasionaly be > useful. And
 shouldn't
 any package system with self-respect have a log > file? :-) 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 27170
Cc: "N. Jackson" <nljlistbox2@HIDDEN>, 27170 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Kangas <stefankangas@HIDDEN> writes:

> But why not support a log file?  I'm thinking it could occasionaly be
> useful.  And shouldn't any package system with self-respect have a log
> file? :-)

Sure, writing the output to a file would be fine, but I don't think
Emacs needs a logging framework for that.  If we can redirect messages
to a buffer, then package.el can do whatever it wants with the messages,
including writing them to a file if so desired.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27170; Package emacs. Full text available.

Message received at 27170 <at> debbugs.gnu.org:


Received: (at 27170) by debbugs.gnu.org; 20 Aug 2020 17:38:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 20 13:38:59 2020
Received: from localhost ([127.0.0.1]:43883 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k8oWh-0004Gn-GK
	for submit <at> debbugs.gnu.org; Thu, 20 Aug 2020 13:38:59 -0400
Received: from mail-yb1-f177.google.com ([209.85.219.177]:33830)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1k8oWd-0004GJ-JP
 for 27170 <at> debbugs.gnu.org; Thu, 20 Aug 2020 13:38:56 -0400
Received: by mail-yb1-f177.google.com with SMTP id u6so1578276ybf.1
 for <27170 <at> debbugs.gnu.org>; Thu, 20 Aug 2020 10:38:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:in-reply-to:references:mime-version:date:message-id:subject:to
 :cc; bh=tr41WCTMMAFgMdr+2TtlnMnJQ3lFmdUyjhuUvq6Tb2M=;
 b=MN9kC66FNfDuBCpOX39ryOpq6Ojd8vwV0Vz5K0UlmovoAu5j25Wy89pGGp7OlpNYqG
 ruxh1j+9Z8yUkvT814XG/LB/yDJw/Zz1DEeZA9MzwRG60Cl1MhPZiyoEmRqc4zZCudAj
 cuQaSUaGBtXxctxW6Jy788siivd4q1PoDYqpd+ShAm/yzp6BWBj/IlRsdtWoPyBUy4UA
 1vOo2sU+5wcXaE+FzrV3la+OEDsO2Qo1D906tWHP0ggbISbiqC252DzZb/xVl6bLOIqk
 sic8vY2rx9Q9wWEMJxiqW+F74wtdi8WMHvhD/VGG8hZeHSxLn2TCgjO5yszeRbBaDwPI
 X3gg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=tr41WCTMMAFgMdr+2TtlnMnJQ3lFmdUyjhuUvq6Tb2M=;
 b=aRM3HQYIrbzObQ2M9uACj9VU8HxGFf/TXNxP7OK5lKptB/duqVjQIBfqudUInnMkyF
 h2o8iUXyuiIOFbUS36GZj29BhZfZ0TscrLkeNAYi+2B2Ok+yv4nRpOQ/sAEPfYUe8RM0
 Snd6w2LlTN1gMrOmCtRfsaEqv8zUqe96T2K1X5MioCC4onYiRTqnWTBZPEfjenVZDDYi
 QYx+12523CtmHu9SGPhdmX+gapoWdKrQ1KpET1ZIzRBMXJZLTBI/s7skEaIi2un4SL0q
 pqxBPaX3JxaPAWntG9lO8zWUGdS1gOLerpVK9A7EUwsoG98jIckwAJENZIJcOFHgbELt
 b+LQ==
X-Gm-Message-State: AOAM531xvtYuOxT07wjaH7OkYrwConSNnjLpUHbSI7O5nYjE/OSprQtS
 MweCC3EXDxLUyogWQZDGlsggnjvHhUoOVWRyyR8=
X-Google-Smtp-Source: ABdhPJwPqDN2Fx4lQBzScIW+LzYdZZmTEmC0gX3sORzf51sFSIbiAVRD9vfOsHxzwPtmRolYSs31rNS9QLDuHGIk6tU=
X-Received: by 2002:a25:4609:: with SMTP id t9mr5951780yba.231.1597945130048; 
 Thu, 20 Aug 2020 10:38:50 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Thu, 20 Aug 2020 10:38:49 -0700
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <87k0xtqozx.fsf@HIDDEN>
References: <87fuflm0ky.fsf@HIDDEN> <87k0xtqozx.fsf@HIDDEN>
MIME-Version: 1.0
Date: Thu, 20 Aug 2020 10:38:49 -0700
Message-ID: <CADwFkmn6kdorEQe05-+z2N5tz6_ZuC4=yN+ckEtpJ7j6M-3TGA@HIDDEN>
Subject: Re: bug#27170: 26.0.50; Suggestion: Optionally send package build
 output to log file not *Messages*
To: Lars Ingebrigtsen <larsi@HIDDEN>, "N. Jackson" <nljlistbox2@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 27170
Cc: 27170 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I don't think we'd actually want to write this to a log file, but there
> could be a different log buffer.
>
> To implement that, we'd need to export Vmessages_buffer_name to Lisp
> Land (I think?), and we could then just rebind the variable to something
> else before doing the package builds.
>
> I think exporting the variable to Lisp Land sounds useful, in any case.
>
> Any opinions here?

I agree, and would really appreciate seeing this fixed.

But why not support a log file?  I'm thinking it could occasionaly be
useful.  And shouldn't any package system with self-respect have a log
file? :-)

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27170; Package emacs. Full text available.

Message received at 27170 <at> debbugs.gnu.org:


Received: (at 27170) by debbugs.gnu.org; 20 Aug 2020 16:43:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 20 12:43:25 2020
Received: from localhost ([127.0.0.1]:43786 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k8nev-0006qh-K5
	for submit <at> debbugs.gnu.org; Thu, 20 Aug 2020 12:43:25 -0400
Received: from quimby.gnus.org ([95.216.78.240]:59824)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k8net-0006qE-I5
 for 27170 <at> debbugs.gnu.org; Thu, 20 Aug 2020 12:43:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=4eqMPZBiVFJp8joz9cwuRIic4yzYhbCvelCQni0y8FM=; b=VG9IpkUs9QPSvbA1MrwVqvDqLY
 so73OQpx3GK+33KmB9QlqZt8Vfkdr2xbsBp9lqIkv5ZtWwbJ2Q6SG2AJs6KLf0cWS+eoz1HzvMVw2
 ngpgbdp3lgx0pOsTpSyQxjg4bVzLOi3Lt6uWyD0hKRhLQRf2AzsyPa56rr2eNY0HC4Jg=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k8nej-0006ye-O6; Thu, 20 Aug 2020 18:43:17 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Philipp Stephani <p.stephani2@HIDDEN>
Subject: Re: bug#27170: 26.0.50; Suggestion: Optionally send package build
 output to log file not *Messages*
References: <87fuflm0ky.fsf@HIDDEN> <87k0xtqozx.fsf@HIDDEN>
 <CAArVCkSj4amqPQQ3btbqdchsf_rLWOTrKU8nOzQS27qmaKVgvg@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAKlBMVEX58cb8/PnLy82k
 qbOvuMNIWXUADjgGHEO5ws1VZIAOLFD06L3n3Lb////bZOnbAAAAAWJLR0QN9rRh9QAAAAd0SU1F
 B+QIFBAqGM4rjzMAAAEASURBVDjLnZTNEYIwEIXDeXMQqYDx4hWhAUdqsAJH7SBObv4crMAWcDhx
 Dx1oUeaXBEh08J2YfLy3m5AFIRTFQ82QVBwEi7KvtQHb/YG4OhrwILR2dbKAELNILQAB6NjBIBAV
 BM3X4l5HKArBVIcE1ZR2pwL40VVvvX7+FQUIQoD9B8h0QPUFGQEScvSI3qC6cG5jHDS4A8pSVZQK
 ABgxAziSPiKjsL6iRrTSNbA6K74isogtjtV8dJKDsjPHfs1dlUUmAf+Cvhm0IJGvpxaYqeWgyDce
 MIrqHEWe3W+pM+e6xnx5OScrDxj/GSAK1XhrsbbVTy/kV9Mw6RBxwIb6AKk8nceMEGMBAAAAJXRF
 WHRkYXRlOmNyZWF0ZQAyMDIwLTA4LTIwVDE2OjQyOjI0KzAwOjAw7q1VygAAACV0RVh0ZGF0ZTpt
 b2RpZnkAMjAyMC0wOC0yMFQxNjo0MjoyNCswMDowMJ/w7XYAAAAASUVORK5CYII=
X-Now-Playing: Sweeney's _Middle Ages_: "Night At Spirit Lake"
Date: Thu, 20 Aug 2020 18:43:12 +0200
In-Reply-To: <CAArVCkSj4amqPQQ3btbqdchsf_rLWOTrKU8nOzQS27qmaKVgvg@HIDDEN>
 (Philipp Stephani's message of "Thu, 20 Aug 2020 18:34:28 +0200")
Message-ID: <87sgchp8tb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Philipp Stephani <p.stephani2@HIDDEN> writes: > I don't
 think we can rename the *Messages* buffer. We document that > its name is
 *Messages*, and there's certainly tons of code around that > assumes that.
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 27170
Cc: "N. Jackson" <nljlistbox2@HIDDEN>, 27170 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Philipp Stephani <p.stephani2@HIDDEN> writes:

> I don't think we can rename the *Messages* buffer. We document that
> its name is *Messages*, and there's certainly tons of code around that
> assumes that.

I'm not talking about renaming the *Messages* buffer -- just being able
to redirect messages to a different buffer if we want to.

> If we want to change anything in this area, we'd better DTRT and
> introduce a proper logging framework, with customizable log sources
> and sinks (the *Messages* buffer being one of the sinks).

Sounds like overkill to me.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27170; Package emacs. Full text available.

Message received at 27170 <at> debbugs.gnu.org:


Received: (at 27170) by debbugs.gnu.org; 20 Aug 2020 16:34:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 20 12:34:46 2020
Received: from localhost ([127.0.0.1]:43740 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k8nWY-0006aU-Mr
	for submit <at> debbugs.gnu.org; Thu, 20 Aug 2020 12:34:46 -0400
Received: from mail-oo1-f41.google.com ([209.85.161.41]:34022)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <p.stephani2@HIDDEN>) id 1k8nWX-0006aG-Cg
 for 27170 <at> debbugs.gnu.org; Thu, 20 Aug 2020 12:34:46 -0400
Received: by mail-oo1-f41.google.com with SMTP id k63so555580oob.1
 for <27170 <at> debbugs.gnu.org>; Thu, 20 Aug 2020 09:34:45 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=qQFjOSZyOyPUfUGYpD7SLVsipx9ioHvPkBnp9c7qUlo=;
 b=usWxyAx+eR+xVWCsNCnC9563a/J3skU1EEAX9LQOzzMaRE/kFaFy569SigUmoIpF7q
 PdNxPc2ao3iOELi47nh3qz1wW3KzQE3SyvOJGGG2BjWlwp6KVgUEF/A3wma8vdlB2j24
 S3/MMMwCVFJkgQYucTLw90oa9V6io16yBw6PVGKkrkNstsbu2IJ0zNn8mAH3G/DHOcYV
 +5+CDxNjRDSITIadZyiFfulNgXu8HvVeLcMGPFReLIOU7chu8oV1ak2Rm01RRyIAgD7k
 bYn2iSSqyv4BcQb2VIg1t09fVZmAD4KcN5reukyE/5cotbWVXFt056nnePXx6/JJk5tK
 v2uw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=qQFjOSZyOyPUfUGYpD7SLVsipx9ioHvPkBnp9c7qUlo=;
 b=RMMbSFKRSgabkwbwDpQgRu4xVYdmH6NZOyz5I2MiIx5cGJiHOnlt8+i/sfEG2BMQRa
 A8zQzKBP8LM50q2sXF3SkKksR0VfMJ4ffqCB1pOm3how2dZ6LVJLrS06LF9AEqOeLqqP
 7zmzCZAo4eFhSrCyE58dJiC1FMR0q5+XyHt/MjzyUEZcQxrWXzxWDblhJ/Lx28TXTFgC
 fUnUgwixo9yJsH0kfhTXJFy0PeVbRq6o4SrUzzTsM84WNmRWNWfgmTScBUMrfAY0m1uY
 F7SHn5sMxRLup9RRv6BcZMR1sB+VZpDaatSICMsWZL4CBnGko6ClBWm25PReKPG5LAz2
 KqBA==
X-Gm-Message-State: AOAM530jUbhXc52BWqkhvBDcYIHgCH5QHPQd0GyM0uCIenoTzCCreTWl
 iiB5ISjEEj9CCYV8j/E4b0Yz9b21pINzo0CYPuc=
X-Google-Smtp-Source: ABdhPJyv8nx5Wx73ycvQDkrTiFClj5FEl8ioJ3H9lOAP2Rqe9oc2gP591zeG+QFQxMxy6BfiFxTjSma8xNGCzlUDl8U=
X-Received: by 2002:a4a:c587:: with SMTP id x7mr3070856oop.60.1597941279624;
 Thu, 20 Aug 2020 09:34:39 -0700 (PDT)
MIME-Version: 1.0
References: <87fuflm0ky.fsf@HIDDEN> <87k0xtqozx.fsf@HIDDEN>
In-Reply-To: <87k0xtqozx.fsf@HIDDEN>
From: Philipp Stephani <p.stephani2@HIDDEN>
Date: Thu, 20 Aug 2020 18:34:28 +0200
Message-ID: <CAArVCkSj4amqPQQ3btbqdchsf_rLWOTrKU8nOzQS27qmaKVgvg@HIDDEN>
Subject: Re: bug#27170: 26.0.50; Suggestion: Optionally send package build
 output to log file not *Messages*
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Am Do., 20. Aug. 2020 um 18:09 Uhr schrieb Lars Ingebrigtsen
 : > > nljlistbox2@HIDDEN (N. Jackson) writes: > > > When
 installing/updating
 packages a lot of messages are generated. > > These clutte [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (p.stephani2[at]gmail.com)
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (p.stephani2[at]gmail.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.161.41 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.161.41 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 1.0 FREEMAIL_REPLY         From and body contain different freemails
X-Debbugs-Envelope-To: 27170
Cc: "N. Jackson" <nljlistbox2@HIDDEN>, 27170 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Am Do., 20. Aug. 2020 um 18:09 Uhr schrieb Lars Ingebrigtsen <larsi@HIDDEN>:
>
> nljlistbox2@HIDDEN (N. Jackson) writes:
>
> > When installing/updating packages a lot of messages are generated.
> > These clutter up the *Messages* buffer and make it hard to find
> > recent messages from before the package operation.
> >
> > Worse, they often cause truncation of the *Messages* buffer so
> > that recent messages from just before the package operation are
> > deleted.
>
> Yeah, that doesn't sound ideal...
>
> > A potential solution to this would be, optionally, to have the package
> > build output go to a log file instead of to the *Messages* buffer. Only
> > the summary messages (number of packages updated, success in updating
> > them etc.) need be written to *Messages*.
>
> I don't think we'd actually want to write this to a log file, but there
> could be a different log buffer.
>
> To implement that, we'd need to export Vmessages_buffer_name to Lisp
> Land (I think?), and we could then just rebind the variable to something
> else before doing the package builds.
>
> I think exporting the variable to Lisp Land sounds useful, in any case.
>
> Any opinions here?


I don't think we can rename the *Messages* buffer. We document that
its name is *Messages*, and there's certainly tons of code around that
assumes that.
If we want to change anything in this area, we'd better DTRT and
introduce a proper logging framework, with customizable log sources
and sinks (the *Messages* buffer being one of the sinks).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27170; Package emacs. Full text available.

Message received at 27170 <at> debbugs.gnu.org:


Received: (at 27170) by debbugs.gnu.org; 20 Aug 2020 16:08:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 20 12:08:31 2020
Received: from localhost ([127.0.0.1]:43651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1k8n79-0003g3-Dz
	for submit <at> debbugs.gnu.org; Thu, 20 Aug 2020 12:08:31 -0400
Received: from quimby.gnus.org ([95.216.78.240]:59456)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1k8n76-0003fl-DO
 for 27170 <at> debbugs.gnu.org; Thu, 20 Aug 2020 12:08:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=Ev5LDP17WcPmzy5gWrzH0cqHUvk7TQysGHvtcLeRt9c=; b=IKuO5Q/Qy94E2/HbFQdc//RbL2
 qHrA+PnldsIh5HsgLj4amcWNXTpJTlYBONbPistY4mH9PIDHVcBxceGhzatBOup0MIy8UVjzWpJAd
 eVKiHNSfNWqdfmB7TkuLYATCqRuQknKEaYiP4EuCoXnCK6K+lQNAuxErVm1Ch2ciyjYQ=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1k8n6x-0006PL-Hu; Thu, 20 Aug 2020 18:08:22 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: nljlistbox2@HIDDEN (N. Jackson)
Subject: Re: bug#27170: 26.0.50; Suggestion: Optionally send package build
 output to log file not *Messages*
References: <87fuflm0ky.fsf@HIDDEN>
X-Now-Playing: The Declining Winter's _Endless Scenery_: "When He Was Alive"
Date: Thu, 20 Aug 2020 18:08:18 +0200
In-Reply-To: <87fuflm0ky.fsf@HIDDEN> (N. Jackson's message of
 "Wed, 31 May 2017 12:51:25 -0400")
Message-ID: <87k0xtqozx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: nljlistbox2@HIDDEN (N. Jackson) writes: > When
 installing/updating
 packages a lot of messages are generated. > These clutter up the *Messages*
 buffer and make it hard to find > recent messages from before the package
 operation. > > Worse, t [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 27170
Cc: 27170 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

nljlistbox2@HIDDEN (N. Jackson) writes:

> When installing/updating packages a lot of messages are generated.
> These clutter up the *Messages* buffer and make it hard to find
> recent messages from before the package operation.
>
> Worse, they often cause truncation of the *Messages* buffer so
> that recent messages from just before the package operation are
> deleted.

Yeah, that doesn't sound ideal...

> A potential solution to this would be, optionally, to have the package
> build output go to a log file instead of to the *Messages* buffer. Only
> the summary messages (number of packages updated, success in updating
> them etc.) need be written to *Messages*.

I don't think we'd actually want to write this to a log file, but there
could be a different log buffer.

To implement that, we'd need to export Vmessages_buffer_name to Lisp
Land (I think?), and we could then just rebind the variable to something
else before doing the package builds.

I think exporting the variable to Lisp Land sounds useful, in any case.

Any opinions here?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#27170; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 31 May 2017 16:51:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 31 12:51:48 2017
Received: from localhost ([127.0.0.1]:47717 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1dG6qa-0007nr-2f
	for submit <at> debbugs.gnu.org; Wed, 31 May 2017 12:51:48 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36480)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nljlistbox2@HIDDEN>) id 1dG6qY-0007nc-3o
 for submit <at> debbugs.gnu.org; Wed, 31 May 2017 12:51:46 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <nljlistbox2@HIDDEN>) id 1dG6qQ-0002jo-90
 for submit <at> debbugs.gnu.org; Wed, 31 May 2017 12:51:41 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,T_DKIM_INVALID autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:41556)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <nljlistbox2@HIDDEN>)
 id 1dG6qQ-0002jj-5L
 for submit <at> debbugs.gnu.org; Wed, 31 May 2017 12:51:38 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:55660)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <nljlistbox2@HIDDEN>) id 1dG6qM-00063Y-Jt
 for bug-gnu-emacs@HIDDEN; Wed, 31 May 2017 12:51:37 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <nljlistbox2@HIDDEN>) id 1dG6qI-0002hm-L2
 for bug-gnu-emacs@HIDDEN; Wed, 31 May 2017 12:51:34 -0400
Received: from mail-io0-x22c.google.com ([2607:f8b0:4001:c06::22c]:35042)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <nljlistbox2@HIDDEN>)
 id 1dG6qI-0002he-EQ
 for bug-gnu-emacs@HIDDEN; Wed, 31 May 2017 12:51:30 -0400
Received: by mail-io0-x22c.google.com with SMTP id f102so19510381ioi.2
 for <bug-gnu-emacs@HIDDEN>; Wed, 31 May 2017 09:51:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=SRbfCzwThWPNvBmw7j8Ds3JDu2DcUQypE65WYzQDdGs=;
 b=NoT4v0naKnT9TbSUDddQd/rxWW8mfyGoql2Gmt2XX0HhsdCXHwgehgIqW/w0+BP03L
 w2KW3+cXfqbIsRHUoyAfZUHp2SbDcoIGhyc9maFiIwxKOl1R4T0OlqCtTkGUdH8r9Fpu
 uY5cifMcfUlax79Bmzu/B/iganUa3FrA2eBjUYi92AJiHoXBbqFsykVFakmQ0qNJYBdG
 mmIykQGAabZHbBC1xB3xkNAOmpTCJBlrkqxb08rJj0eggF0VBlh4cLbI3Q0PCOz/mBYF
 12Rf6m9CQmbTojA571viinBkfvqmjTOtVFQMd99IdNXAIqS/AEiyU99nJseiMZbi5BSv
 lK8Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=SRbfCzwThWPNvBmw7j8Ds3JDu2DcUQypE65WYzQDdGs=;
 b=l2hTVFbh34fCC1YFqddmLCpfle2pH9Plf+K8uU2iEelvbD4XRDqyYhK9d6ziFOjozK
 oonMSTwu63UcwDvwVG6nbBdGoBH3vdB0kQyfqEZfhPPRjJkC7EHRdokLt+QOfJpwxNOF
 AiDjMaoUssZb8KfwH0ji/Hm5Bfk2yigJigh44AoQDkjajnNeIxFwtVT3USVHg++M8nAV
 I/SdMSr8IvZMipDEkt/QSd+hneswmBNrtBXC7K0g6mfzqBUUx//40VZ7Xt/S0SJjCDA1
 b5tg/a59U7IIBlcTnJy3wn+hy1+Clsuhbfh+ReJ/qyDjut55H5Er9fl54wu5OjqZpoyJ
 tUWg==
X-Gm-Message-State: AODbwcB8L/muiSnQsRIesCoM+0D61JZetnC7oH9F26d/I3msS3CY+4xZ
 fFfY/WhO2eXASOf9
X-Received: by 10.107.183.197 with SMTP id h188mr26841635iof.105.1496249487554; 
 Wed, 31 May 2017 09:51:27 -0700 (PDT)
Received: from moondust.localdomain.nodomain.none ([72.143.113.194])
 by smtp.gmail.com with ESMTPSA id u140sm891094ita.0.2017.05.31.09.51.26
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 31 May 2017 09:51:26 -0700 (PDT)
From: nljlistbox2@HIDDEN (N. Jackson)
To: bug-gnu-emacs@HIDDEN
Subject: 26.0.50;
 Suggestion: Optionally send package build output to log file not
 *Messages*
Date: Wed, 31 May 2017 12:51:25 -0400
Message-ID: <87fuflm0ky.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

When installing/updating packages a lot of messages are generated.
These clutter up the *Messages* buffer and make it hard to find
recent messages from before the package operation.

Worse, they often cause truncation of the *Messages* buffer so
that recent messages from just before the package operation are
deleted.

And worse yet, when one wants to inspect the output from package
builds, it is often incomplete in the *Messages* buffer because
there was so much output that the earlier output was lost.

Setting `messages-buffer-max-lines' to a larger value is a
potential work-around, but it is unclear ahead of time how large
to set it. For example, if say Auctex and Org both get updated at
the same time the amount of output from package is very
large.


A potential solution to this would be, optionally, to have the package
build output go to a log file instead of to the *Messages* buffer. Only
the summary messages (number of packages updated, success in updating
them etc.) need be written to *Messages*.


In GNU Emacs 26.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.15)
 of 2017-05-31 built on moondust.localdomain
Repository revision: a415c8bccb917c247792c4ce8e77b2512b3414d6
Windowing system distributor 'Fedora Project', version 11.0.11903000
System Description:	Fedora release 25 (Twenty Five)

Configured using:
 'configure --without-pop --enable-check-lisp-object-type 'CFLAGS=-O0
 -g3 -ggdb''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND DBUS GSETTINGS NOTIFY ACL
LIBSELINUX GNUTLS LIBXML2 FREETYPE LIBOTF XFT ZLIB TOOLKIT_SCROLL_BARS
GTK3 X11

Important settings:
  value of $LANG: en_CA.UTF-8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix

Major mode: Group

Minor modes in effect:
  TeX-PDF-mode: t
  diff-auto-refine-mode: t
  pdf-occur-global-minor-mode: t
  gnus-undo-mode: t
  shell-dirtrack-mode: t
  recentf-mode: t
  display-battery-mode: t
  display-time-mode: t
  show-paren-mode: t
  savehist-mode: t
  save-place-mode: t
  electric-pair-mode: t
  desktop-save-mode: t
  cl-old-struct-compat-mode: t
  delete-selection-mode: t
  cua-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  temp-buffer-resize-mode: t
  buffer-read-only: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-contacts hides ~/.emacs.d/modules/org-contacts
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-habit hides /data/projects/vc/emacs/git/emacs/lisp/org/org-habit
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-python hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-python
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-clojure hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-clojure
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox-md hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-md
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-macs hides /data/projects/vc/emacs/git/emacs/lisp/org/org-macs
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox-odt hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-odt
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox-texinfo hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-texinfo
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-protocol hides /data/projects/vc/emacs/git/emacs/lisp/org/org-protocol
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-io hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-io
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-list hides /data/projects/vc/emacs/git/emacs/lisp/org/org-list
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-scheme hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-scheme
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob hides /data/projects/vc/emacs/git/emacs/lisp/org/ob
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-docview hides /data/projects/vc/emacs/git/emacs/lisp/org/org-docview
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-latex hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-latex
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox-html hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-html
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-ctags hides /data/projects/vc/emacs/git/emacs/lisp/org/org-ctags
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-src hides /data/projects/vc/emacs/git/emacs/lisp/org/org-src
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-octave hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-octave
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-w3m hides /data/projects/vc/emacs/git/emacs/lisp/org/org-w3m
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-bibtex hides /data/projects/vc/emacs/git/emacs/lisp/org/org-bibtex
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-info hides /data/projects/vc/emacs/git/emacs/lisp/org/org-info
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox-beamer hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-beamer
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-maxima hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-maxima
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-table hides /data/projects/vc/emacs/git/emacs/lisp/org/org-table
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-R hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-R
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox-publish hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-publish
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-mscgen hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-mscgen
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-scala hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-scala
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-keys hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-keys
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-css hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-css
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-haskell hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-haskell
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-picolisp hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-picolisp
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-timer hides /data/projects/vc/emacs/git/emacs/lisp/org/org-timer
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-feed hides /data/projects/vc/emacs/git/emacs/lisp/org/org-feed
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-emacs-lisp hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-emacs-lisp
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-mhe hides /data/projects/vc/emacs/git/emacs/lisp/org/org-mhe
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-exp hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-exp
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-rmail hides /data/projects/vc/emacs/git/emacs/lisp/org/org-rmail
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-attach hides /data/projects/vc/emacs/git/emacs/lisp/org/org-attach
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-lilypond hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-lilypond
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-version hides /data/projects/vc/emacs/git/emacs/lisp/org/org-version
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-makefile hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-makefile
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-sql hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-sql
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-lob hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-lob
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-java hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-java
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-loaddefs hides /data/projects/vc/emacs/git/emacs/lisp/org/org-loaddefs
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-element hides /data/projects/vc/emacs/git/emacs/lisp/org/org-element
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-id hides /data/projects/vc/emacs/git/emacs/lisp/org/org-id
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-crypt hides /data/projects/vc/emacs/git/emacs/lisp/org/org-crypt
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org hides /data/projects/vc/emacs/git/emacs/lisp/org/org
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-plot hides /data/projects/vc/emacs/git/emacs/lisp/org/org-plot
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-ruby hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-ruby
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-matlab hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-matlab
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-ditaa hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-ditaa
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-irc hides /data/projects/vc/emacs/git/emacs/lisp/org/org-irc
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-gnus hides /data/projects/vc/emacs/git/emacs/lisp/org/org-gnus
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-C hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-C
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-comint hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-comint
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-colview hides /data/projects/vc/emacs/git/emacs/lisp/org/org-colview
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-tangle hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-tangle
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-dot hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-dot
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-mobile hides /data/projects/vc/emacs/git/emacs/lisp/org/org-mobile
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-eshell hides /data/projects/vc/emacs/git/emacs/lisp/org/org-eshell
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-sass hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-sass
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-gnuplot hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-gnuplot
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox-icalendar hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-icalendar
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox-man hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-man
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-capture hides /data/projects/vc/emacs/git/emacs/lisp/org/org-capture
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-plantuml hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-plantuml
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-footnote hides /data/projects/vc/emacs/git/emacs/lisp/org/org-footnote
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-clock hides /data/projects/vc/emacs/git/emacs/lisp/org/org-clock
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-js hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-js
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox-latex hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-latex
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox-ascii hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-ascii
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-ref hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-ref
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-ocaml hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-ocaml
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-agenda hides /data/projects/vc/emacs/git/emacs/lisp/org/org-agenda
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-indent hides /data/projects/vc/emacs/git/emacs/lisp/org/org-indent
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-core hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-core
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-pcomplete hides /data/projects/vc/emacs/git/emacs/lisp/org/org-pcomplete
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-datetree hides /data/projects/vc/emacs/git/emacs/lisp/org/org-datetree
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-ledger hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-ledger
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-shen hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-shen
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-entities hides /data/projects/vc/emacs/git/emacs/lisp/org/org-entities
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-macro hides /data/projects/vc/emacs/git/emacs/lisp/org/org-macro
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-mouse hides /data/projects/vc/emacs/git/emacs/lisp/org/org-mouse
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-sqlite hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-sqlite
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox-org hides /data/projects/vc/emacs/git/emacs/lisp/org/ox-org
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-screen hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-screen
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-asymptote hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-asymptote
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-eval hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-eval
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-archive hides /data/projects/vc/emacs/git/emacs/lisp/org/org-archive
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ox hides /data/projects/vc/emacs/git/emacs/lisp/org/ox
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-org hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-org
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-perl hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-perl
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-faces hides /data/projects/vc/emacs/git/emacs/lisp/org/org-faces
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-bbdb hides /data/projects/vc/emacs/git/emacs/lisp/org/org-bbdb
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-compat hides /data/projects/vc/emacs/git/emacs/lisp/org/org-compat
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-lisp hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-lisp
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-install hides /data/projects/vc/emacs/git/emacs/lisp/org/org-install
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-awk hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-awk
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-calc hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-calc
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/org-inlinetask hides /data/projects/vc/emacs/git/emacs/lisp/org/org-inlinetask
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-table hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-table
/home/nlj/.emacs.d/elpa/org-plus-contrib-20170515/ob-fortran hides /data/projects/vc/emacs/git/emacs/lisp/org/ob-fortran
/home/nlj/.emacs.d/elpa/soap-client-3.1.2/soap-client hides /data/projects/vc/emacs/git/emacs/lisp/net/soap-client
/home/nlj/.emacs.d/elpa/soap-client-3.1.2/soap-inspect hides /data/projects/vc/emacs/git/emacs/lisp/net/soap-inspect

Features:
(shadow bbdb-message emacsbug sendmail sort smiley gnus-cite gnus-async
gnus-bcklg qp mail-extr gnus-ml nnrss mm-url nndraft nnmh utf-7 epa-file
nnfolder bbdb-gnus bbdb-mua nnnil gnus-agent gnus-srvr gnus-score
score-mode nnvirtual gnus-msg nntp gnus-cache cl-print w32-vars dos-vars
woman tutorial man info-look help-macro help-fns help-at-pt apropos
windmove whitespace vcursor ruler-mode reveal repeat org-protocol linum
ido hl-line hippie-exp follow filesets filecache ffap emacs-lock
completion bs autorevert filenotify autoinsert ntlm hmac-md5 hex-util
md4 net-utils ldap gravatar goto-addr thingatpt eudc-vars bug-reference
browse-url ange-ftp which-func vc vc-dispatcher tempo srecode
smerge-mode sieve sieve-mode sieve-manage sasl sasl-anonymous sasl-login
sasl-plain pcvs-defs pcvs-util grep glasses gdb-mi bindat json gud
flymake etags xref project emerge elide-head ediff-merg ediff-wind
ediff-diff ediff-mult ediff-help ediff-init ediff-util ediff
ede/project-am ede/autoconf-edit autoconf autoconf-mode semantic/find
ede/makefile-edit make-mode ede/linux ede/make ede/speedbar ede/files
ede ede/detect ede/base ede/auto ede/source eieio-base eieio-speedbar
speedbar sb-image ezimage dframe eieio-custom ebrowse ebuff-menu diff
copyright compare-w check-declare calculator add-log footnote dabbrev
org-clock term disp-table ehelp nnir esh-var esh-io esh-cmd esh-opt
esh-ext esh-proc esh-arg esh-groups eshell esh-module esh-mode esh-util
org-learn hi-lock org-table org-id rx geiser ob-octave ebnf2ps ps-print
ps-print-loaddefs ps-def lpr pcase color soap-client warnings rng-xsd
xsd-regexp autoload radix-tree lisp-mnt tar-mode mm-archive
network-stream starttls url-http url-gw nsm url-cache url-auth url
url-proxy url-privacy url-expand url-methods url-history url-cookie
url-domsuf url-util server pinentry cl-extra help-mode latexenc
plain-tex preview prv-emacs tex-buf font-latex latex tex-ispell
tex-style tex dbus xml tex-mode view cc-mode cc-fonts cc-guess cc-menus
cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs cl cdlatex texmathp
vc-git diff-mode map ox-koma-letter ox-odt rng-loc rng-uri rng-parse
rng-match rng-dt rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok
nxml-util ox-icalendar ox-html table ox-beamer ox-latex ox-ascii
ox-publish ox flyspell ispell pdf-occur ibuf-ext ibuffer
ibuffer-loaddefs tablist tablist-filter semantic/wisent/comp
semantic/wisent semantic/wisent/wisent semantic/util-modes semantic/util
semantic semantic/tag semantic/lex semantic/fw mode-local cedet
pdf-isearch let-alist pdf-misc imenu pdf-tools compile cus-edit pdf-view
bookmark pp pdf-cache pdf-info tq pdf-util org-contacts org-capture
gnus-art mm-uu mml2015 mm-view mml-smime smime dig mailcap gnus-sum
gnus-group gnus-undo gnus-start gnus-cloud nnimap nnmail mail-source tls
gnutls utf7 netrc nnoo gnus-spec gnus-int gnus-range message subr-x puny
rfc822 mml mml-sec epa derived epg mm-decode mm-bodies mm-encode
mail-parse rfc2231 gmm-utils mailheader gnus-win gnus nnheader org-eldoc
org-w3m org-rmail org-mhe org-irc org-info org-habit org-gnus gnus-util
rmail rmail-loaddefs rfc2047 rfc2045 ietf-drums mm-util mail-prsvr
mail-utils org-docview doc-view jka-compr image-mode dired
dired-loaddefs org-bibtex bibtex org-bbdb org-agenda org-element
avl-tree org org-macro org-footnote org-pcomplete org-list org-faces
org-entities noutline outline easy-mmode org-version ob-shell ob-R
ob-python ob-plantuml ob-org ob-gnuplot ob-ditaa ob-calc calc-store
calc-trail calc-ext calc calc-loaddefs calc-macs ob-awk ob-dot ob-maxima
ob-latex ob-emacs-lisp ob ob-tangle org-src ob-ref ob-lob ob-table
ob-keys ob-exp ob-comint tramp tramp-compat tramp-loaddefs trampver
ucs-normalize shell pcomplete parse-time advice comint ansi-color ring
ob-core ob-eval org-compat org-macs org-loaddefs format-spec find-func
bbdb-anniv diary-lib diary-loaddefs cal-menu calendar cal-loaddefs
bbdb-com crm mailabbrev bbdb bbdb-site timezone bbdb-loaddefs finder-inf
tex-site info package epg-config url-handlers url-parse auth-source
cl-seq eieio eieio-core cl-macs eieio-loaddefs password-cache url-vars
seq byte-opt gv bytecomp byte-compile cconv edmacro kmacro recentf
tree-widget wid-edit easymenu battery time wheatgrass-theme paren
savehist saveplace elec-pair desktop frameset cl-loaddefs cl-lib delsel
cua-base cus-start cus-load time-date mule-util tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page menu-bar rfn-eshadow isearch timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote dbusbind inotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 1281773 109206)
 (symbols 48 132390 38)
 (miscs 40 24253 5508)
 (strings 32 261522 30064)
 (string-bytes 1 8942653)
 (vectors 16 112492)
 (vector-slots 8 2367099 32007)
 (floats 8 998 1191)
 (intervals 56 72170 55)
 (buffers 976 85))




Acknowledgement sent to nljlistbox2@HIDDEN (N. Jackson):
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#27170; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 22 Aug 2020 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.